Page MenuHomePhabricator

Migrate mediawiki-core-phpcs job to Nodepool
Closed, ResolvedPublic

Description

mediawiki-core-phpcs job is a fairly simple one to migrate to Nodepool, it just does:

zuul-cloner mediawiki/core
composer update
phpcs -p -s

Details

Related Gerrit Patches:
integration/config : mastermediawiki-core-phpcs to Nodepool
integration/config : master[mediawiki] experiment phpcs on Nodepool

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2016, 10:13 AM

Change 286137 had a related patch set uploaded (by Hashar):
[mediawiki] experiment phpcs on Nodepool

https://gerrit.wikimedia.org/r/286137

I gave it a try on https://integration.wikimedia.org/ci/job/mediawiki-core-phpcs-trusty/ but it is twice slower for some reason :(

mediawiki-core-phpcs is being run under HHVM via a Zuul parameter.

Change 286137 merged by jenkins-bot:
[mediawiki] experiment phpcs on Nodepool

https://gerrit.wikimedia.org/r/286137

Gave it a try on https://gerrit.wikimedia.org/r/#/c/285389/ . HHVM did the trick and build time went from 13 minutes to 5 minutes.

Can flip it though, we need more Trusty instances first (T133911)

Change 286828 had a related patch set uploaded (by Hashar):
mediawiki-core-phpcs to Nodepool

https://gerrit.wikimedia.org/r/286828

Mentioned in SAL [2016-05-04T12:24:36Z] <hashar> deleting Jenkins job mediawiki-core-phpcs , replaced by Nodepool version mediawiki-core-phpcs-trusty T133976

Change 286828 merged by jenkins-bot:
mediawiki-core-phpcs to Nodepool

https://gerrit.wikimedia.org/r/286828

hashar closed this task as Resolved.May 4 2016, 12:30 PM